Security Statement on recent Heartbleed exploit

"secure.vitalesafe.com was never vulnerable to this bug because we were never running a vulnerable version of OpenSSL."